package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewAdvertisingSpaceDb(engine *xorm.Engine) dao.AdvertisingSpaceDao {
	return &AdvertisingSpaceDb{Db: engine}
}

type AdvertisingSpaceDb struct {
	Db *xorm.Engine
}

func (a AdvertisingSpaceDb) AdvertisingSpaceAll() (*[]model.AdvertisingSpace, error) {
	var m []model.AdvertisingSpace
	if err := a.Db.Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
